# ------------------------------------------------------------------------------
#  Methods:
#     - ldelete
#
# ------------------------------------------------------------------------------

proc ldelete { list value } {

    set ix [lsearch -exact $list $value]

#    puts "Jane $ix for $value"
#    puts $list

    if {$ix >= 0} {
	set foo [lreplace $list $ix $ix]
	return [lreplace $list $ix $ix]
    } else {
	return $list
    }
}

##############################################################################
# testing

proc AddDefaultNodes { } {
    global canvas

    Graph:CreateNode render render1 230   0
    Graph:CreateNode group  gCam            50 200
    Graph:CreateNode group  gLight1        110 200
    Graph:CreateNode group  gLight2        170 200
    Graph:CreateNode group  World          400 200
    Graph:CreateNode camera cam             50 400
    Graph:CreateNode light  ambient        110 400
    Graph:CreateNode light  directional    170 400

    Graph:CreateInstance inst1 gLight1 ambient
    Graph:CreateInstance inst2 gLight2 directional
    Graph:CreateInstance inst3 gCam cam    

    Graph:CreateReference render1 gCam
    Graph:CreateReference render1 gLight1
    Graph:CreateReference render1 gLight2
    Graph:CreateReference render1 World
}
