global guiSystem 
set guiSystem irix

if { $guiSystem == "irix" } {

    source editorHarlan.tcl
    lappend auto_path ~j-yen/projects/slide/viewer/gui/downloads/BWidget-1.2.1/
    package require BWidget

} elseif { $guiSystem == "nt" } {

    cd "U:\\projects\\slide\\viewer\\gui\\editor\\"
    source editorHarlan.tcl
    set p "U:\\projects\\slide\\viewer\\gui\\downloads\\BWidget-1.2.1\\"
    lappend auto_path $p
    package require BWidget

} else {    
    puts "ERROR in gui.tcl: SYSTEM not NT or IRIX"
    exit
}

proc GUI:InitGlobals { } {
    global textHighlightColor paleYellow paleOrange arrowColor
    global buttonFont labelFont entryFont progress

    set paleYellow #fefe28
    set paleOrange #fe7a3e
    set oliveGreen #8e9e4c
    set textHighlightColor $paleOrange
    set arrowColor #707070

    set buttonFont {Helvetica -14 bold}
    set entryFont  {Helvetica -12 bold}
    set labelFont  {Helvetica 11 bold}

    set progress 0

    global badNameMsg validNameMsg usedNameMsg

    set badNameMsg  "can not be used as a name." 
    set usedNameMsg "

This name is already used."
    set validNameMsg "

Names must start with an \"_\" or a letter.
All other characters can be an \"_\", letter, or number.
(i.e. names must satisfy the regular expression: 
\[a-zA-Z_\]\[a-zA-Z_0-9\]*)

Examples: a, A, _, a1, A__bC3_"

}

GUI:InitGlobals
Editor:Create

global editStandAlone
set editStandAlone 1

